List HarnessManifests (deprecated)
curl --request GET \
--url https://api.checkfu.com/v1/harnesses \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/harnesses"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/harnesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"adapter": {
"package": "<string>",
"export": "<string>"
},
"install_source": {
"kind": "npm",
"package": "<string>",
"version": "<string>",
"integrity": "<string>"
},
"capabilities": [
"checkpoint"
],
"certification": "certified",
"version": 1,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_page": "<string>"
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}List HarnessManifests (deprecated)
deprecated
Temporary deprecated inbound route for the original HarnessManifest scaffold; it is not an execution contract or compatibility promise. New integrations list HarnessReleases and HarnessProfiles.
Checkfu support posture: alpha; hosted. Required evidence journey: harness-registry. Deployment-specific readiness and the latest proven release are available from GET /v1/support/capabilities.
GET
/
v1
/
harnesses
List HarnessManifests (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-24